
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Maintenances</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Maintenances
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    
        <div class="section section-data-tables">


<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des maintenances</h4>
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Immatricule</th>
                <th>Garage</th>
                <th>Date de début </th>
                <th>Heure debut</th>
                <th>Date de retour </th>
                <th>Heure retour</th>
                <th>Prix</th>
                <th>Description</th>
                
               
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let m of maintenances; index as i;">
                
                <td>{{m.voitureImmatricule}}</td>
                <td>
                  <div *ngFor="let g of garages">
                    <div *ngIf="m.GarageId === g.id">
                      {{g.nom}}  
                    </div>
                  </div>
                </td>
                <td>{{m.datedebut}}</td>
                <td>{{m.Heuredebut}} : {{m.minutedebut}}</td>
                <td>{{m.dateretour}}</td>
                <td>{{m.heureretour}} : {{m.minuteretour}}</td>

                <td>{{m.prix}}</td>
                <td>{{m.description}}</td>
                

                

                <td>
                  
                  


                  <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                  <li><a  class="modal-trigger" (click)="getOne(m.id)" href="#modal2">Modifier</a></li>
                  <li><a class="modal-trigger" (click)="delete(m.id)" >Supprimper</a></li>
                  <li><a class="modal-trigger" href="/RendezVousMaintenance">rendez-vous</a></li>
               
                  </ul>
                </td>
              
              
              
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>



  

</div><!-- START RIGHT SIDEBAR NAV -->


<div id="modal1" class="modal modal-fixed-footer" style="width: 50%; height: 70%;">
  <form #f="ngForm" (ngSubmit)="save(f.value)" >
    <div class="modal-content">
      <h4>Maintenances</h4>
      <br>
      <div id="view-select2">
        <div class="row">
          <div class="col m6 s12">
            
            <div class="input-field">
              <label for="Immatricule" class="active">Immatricule*</label>
              <select  searchable='List of options' id="xxxx" name="voitureImmatricule" #name="ngModel" [(ngModel)]="maintenance.voitureImmatricule" required>
                <option *ngFor="let v of voitures" [value]="v.immatricule">
                  {{v.immatricule}}
                 </option>
            </select>   

          
         
              
           
             
            </div>
          </div>
          <div class="input-field col m6 s12">
            <label for="nbrporte" class="active">Garage*</label>
            <select  searchable='Liste de garage' id="xxxx" name="carage" #carage="ngModel" [(ngModel)]="maintenance.carage" required>
              <option *ngFor="let g of garages" [value]="g.id">
                {{g.nom}}
               </option>
          </select>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="input-field col s6">
          <input id="name2" class="validate" type="datetime-local" name="datedebut" #datedebut="ngModel" [(ngModel)]="maintenance.datedebut" required>
          <small  class="errorTxt1" *ngIf="datedebut.touched  &&  datedebut.invalid" ><div id="uname-error" class="error">saisir votre date de debut</div></small>

          <label for="name2" class="active">Date début*</label>

        </div>
        <div class="input-field col s3">
        <select class="browser-default" name="Heuredebut" #name="ngModel" [(ngModel)]="maintenance.Heuredebut" required>
          <option value="" disabled selected>Heures</option>
           <option value="01">01</option>
           <option value="02">02</option>
           <option value="03">03</option>
           <option value="04">04</option>
           <option value="05">05</option>
           <option value="06">06</option>
           <option value="07">07</option>
           <option value="08">08</option>
           <option value="09">09</option>
           <option value="10">10</option>
           <option value="11">11</option>
           <option value="12">12</option>
           <option value="13">13</option>
           <option value="14">14</option>
           <option value="15">15</option>
           <option value="16">16</option>
           <option value="17"> 17</option>
           <option value="18">18</option>
           <option value="19">19</option>
           <option value="20">20</option>
           <option value="21">21</option>
           <option value="22">22</option>
           <option value="23">23</option>
        </select>
</div>
<div class="input-field col s3">
  <select class="browser-default" name="minutedebut" #name="ngModel" [(ngModel)]="maintenance.minutedebut" required>
      <option value="" disabled selected>Minutes</option>
      <option value="00">00</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="30">30</option>
      <option value="40">40</option>
      <option value="50">50</option>
    </select>
</div>

      </div>
      <div class="row">
        <div class="input-field col s6">
          <input  id="name2" class="validate" type="datetime-local" name="dateretour" #dateretour="ngModel" [(ngModel)]="maintenance.dateretour" required>
          <small  class="errorTxt1" *ngIf="dateretour.touched  &&  dateretour.invalid" ><div id="uname-error" class="error">saisir votre date de retour</div></small>

          <label for="name2">Date de retour*</label>

        </div>
        <div class="input-field col s3">
          <select class="browser-default" name="heureretour" #name="ngModel" [(ngModel)]="maintenance.heureretour" required>
            <option value="" disabled selected>Heures</option>
            <option value="01">01</option>
            <option value="02">02</option>
            <option value="03">03</option>
            <option value="04">04</option>
            <option value="05">05</option>
            <option value="06">06</option>
            <option value="07">07</option>
            <option value="08">08</option>
            <option value="09">09</option>
            <option value="10">10</option>
            <option value="11">11</option>
            <option value="12">12</option>
            <option value="13">13</option>
            <option value="14">14</option>
            <option value="15">15</option>
            <option value="16">16</option>
            <option value="17"> 17</option>
            <option value="18">18</option>
            <option value="19">19</option>
            <option value="20">20</option>
            <option value="21">21</option>
            <option value="22">22</option>
            <option value="23">23</option>
          </select>
  </div>
  <div class="input-field col s3">
    <select class="browser-default" name="minuteretour" #name="ngModel" [(ngModel)]="maintenance.minuteretour" required>
      <option value="" disabled selected>Minutes</option>
      <option value="00">00</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="30">30</option>
      <option value="40">40</option>
      <option value="50">50</option>
      </select>
  </div>
  
      </div>
        <div class="input-field col s6">
          <input  id="name2" class="validate" type="text" name="prix" #prix="ngModel" [(ngModel)]="maintenance.prix" required>
          <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>

          <label for="name2">Prix*</label>
        </div>

        <div class="input-field col s6">
          <input  id="name2" type="text" class="validate" name="description" #description="ngModel" [(ngModel)]="maintenance.description" required>
          <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>

          <label for="name2">Description</label>
        </div>
       
       
       </div>
    
    <div class="modal-footer">
       <button [disabled]="f.invalid"  type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
    </div>
  </form>
</div>


<div id="modal2" class="modal modal-fixed-footer" style="width: 50%; height: 70%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)" >
    <div class="modal-content">
      <h4>Maintenances</h4>
      <br>
      <div id="view-select2">
        <div class="row">
          <div class="col m12 s12">
            
            <div class="input-field">
              <label >Immatricule</label><br/>
   <input id="name2" type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="maintenance.voitureImmatricule" disabled>


          
         
              
           
             
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="input-field col s6">
          <input id="name2" type="date" name="datedebut" #name="ngModel"           [ngModel]="maintenance.datedebut| date:'yyyy-MM-dd'"        required>
          <label for="name2">Date début</label>
        </div>
        <div class="input-field col s3">
        <select class="browser-default" name="Heuredebut" #name="ngModel" [(ngModel)]="maintenance.Heuredebut" required>
          <option value="" disabled selected>Heures</option>
           <option value="01">01</option>
           <option value="02">02</option>
           <option value="03">03</option>
           <option value="04">04</option>
           <option value="05">05</option>
           <option value="06">06</option>
           <option value="07">07</option>
           <option value="08">08</option>
           <option value="09">09</option>
           <option value="10">10</option>
           <option value="11">11</option>
           <option value="12">12</option>
           <option value="13">13</option>
           <option value="14">14</option>
           <option value="15">15</option>
           <option value="16">16</option>
           <option value="17"> 17</option>
           <option value="18">18</option>
           <option value="19">19</option>
           <option value="20">20</option>
           <option value="21">21</option>
           <option value="22">22</option>
           <option value="23">23</option>
        </select>
</div>
<div class="input-field col s3">
  <select class="browser-default" name="minutedebut" #name="ngModel" [(ngModel)]="maintenance.minutedebut" required>
      <option value="" disabled selected>Minutes</option>
      <option value="00">00</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="30">30</option>
      <option value="40">40</option>
      <option value="50">50</option>
    </select>
</div>

      </div>
      <div class="row">
        <div class="input-field col s6">
          <input  id="name2" type="date" name="dateretour" #name="ngModel" [(ngModel)]="maintenance.dateretour" required>
          <label for="name2">Date de retour</label>

        </div>
        <div class="input-field col s3">
          <select class="browser-default" name="heureretour" #name="ngModel" [(ngModel)]="maintenance.heureretour" required>
            <option value="" disabled selected>Heures</option>
            <option value="01">01</option>
            <option value="02">02</option>
            <option value="03">03</option>
            <option value="04">04</option>
            <option value="05">05</option>
            <option value="06">06</option>
            <option value="07">07</option>
            <option value="08">08</option>
            <option value="09">09</option>
            <option value="10">10</option>
            <option value="11">11</option>
            <option value="12">12</option>
            <option value="13">13</option>
            <option value="14">14</option>
            <option value="15">15</option>
            <option value="16">16</option>
            <option value="17"> 17</option>
            <option value="18">18</option>
            <option value="19">19</option>
            <option value="20">20</option>
            <option value="21">21</option>
            <option value="22">22</option>
            <option value="23">23</option>
          </select>
  </div>
  <div class="input-field col s3">
    <select class="browser-default" name="minuteretour" #name="ngModel" [(ngModel)]="maintenance.minuteretour" required>
      <option value="" disabled selected>Minutes</option>
      <option value="00">00</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="30">30</option>
      <option value="40">40</option>
      <option value="50">50</option>
      </select>
  </div>
  
      </div>
        <div class="input-field col s6">
          <label for="prix" class="active">Prix</label><br/>

          <input class="validate"  type="text" name="prix" #name="ngModel" [(ngModel)]="maintenance.prix" required>
        </div>

        <div class="input-field col s6">
          <label for="description" class="active">Description</label><br/>
          <input  type="text" name="description" #name="ngModel" [(ngModel)]="maintenance.description" required>
        </div>
       
       
       </div>
    
    <div class="modal-footer">
       <button type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
    </div>
  </form>
</div>

  
